%define	major 0
%define apiver 1.2
%define	libname %mklibname %{name} %{apiver} %{major}
%define develname %mklibname %{name} -d

Summary:	Simple DirectMedia Layer - mixer
Name:		SDL_mixer
Version:	1.2.8
Release:	%mkrel 8
License:	LGPLv+2
Group:		System/Libraries
URL:		http://www.libsdl.org/projects/SDL_mixer/
Source0:	http://www.libsdl.org/projects/SDL_mixer/release/%{name}-%{version}.tar.bz2
Patch1:		SDL_mixer-1.2.7-fix-path-timidity.patch
Patch2:		SDL_mixer-1.2.7-link-against-system-libmikmod.patch
Patch3:		SDL_mixer-1.2.7-timidity-crash.patch
Patch4:		SDL_mixer-1.2.4-64bit-fix.patch
Patch5:		SDL_mixer-1.2.5-endian-fixes.patch
#gw see https://qa.mandriva.com/show_bug.cgi?id=42160
# remove this unless the bug is handled properly
Patch6:		SDL_mixer-1.2.8-double-free.patch
BuildRequires:	SDL-devel >= 1.2.10
BuildRequires:	esound-devel
BuildRequires:	libmikmod-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	libz-devel
BuildRequires:	smpeg-devel >= 0.4.3
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
SDL_mixer is a sample multi-channel audio mixer library. It supports any
number of simultaneously playing channels of 16 bit stereo audio, plus a
single channel of music, mixed by the popular MikMod MOD, Timidity MIDI
and SMPEG MP3 libraries.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}SDL_mixer1.2 < 1.2.8-2

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	SDL-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}%{apiver}-devel = %{version}-%{release}
Obsoletes:	%{_lib}SDL_mixer1.2-devel < 1.2.8-2

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{name}-player
Summary:	Players using %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}SDL_mixer-test < 1.2.8-3
Requires:	%{libname} = %{version}-%{release}

%description -n %{name}-player
This package contains binary to test the associated library.

%prep
%setup -q
%patch1 -p1 -b .timidity
#patch2 -p1 -b .libmikmod
#patch3 -p0 -b .timidity_crash
%patch4 -p0 -b .64bit
#patch5 -p0 -b .endian
%patch6

%build
#gw our libtool is too old
%define __cputoolize true
aclocal
autoconf
%configure2_5x	--enable-music-libmikmod=yes \
		--enable-music-native-midi \
		--disable-music-ogg-shared \
		--disable-music-mp3-shared
%make

%install
rm -rf %{buildroot}
%makeinstall_std install-bin

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{name}-player
%defattr(-, root, root)
%doc README
%{_bindir}/playwave
%{_bindir}/playmus

%files -n %{libname}
%defattr(-,root,root)
%doc mikmod/AUTHORS mikmod/README
%doc timidity/FAQ timidity/README
%{_libdir}/lib*%{apiver}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc README CHANGES
%{_libdir}/*a
%{_libdir}/lib*.so
%{_includedir}/SDL/*


%changelog
* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 1.2.8-8mdv2009.0
+ Revision: 271781
- rebuild

* Sun Jul 27 2008 Götz Waschk <waschk@mandriva.org> 1.2.8-7mdv2009.0
+ Revision: 250614
- patch for bug #42160 (double free error)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 30 2008 Funda Wang <fundawang@mandriva.org> 1.2.8-6mdv2009.0
+ Revision: 213219
- BR libz

* Mon Mar 10 2008 Olivier Blin <oblin@mandriva.com> 1.2.8-5mdv2008.1
+ Revision: 183454
- remove pulseaudio-devel requirement in devel package
  (SDL is not dynamically linked with pulseaudio anymore)

* Fri Mar 07 2008 Olivier Blin <oblin@mandriva.com> 1.2.8-4mdv2008.1
+ Revision: 181200
- explicitely require pulseaudio-devel in devel package
  (find-requires does not parse .la files, #38653, breaks toppler build)

* Sun Jan 13 2008 Anssi Hannula <anssi@mandriva.org> 1.2.8-3mdv2008.1
+ Revision: 151077
- obsolete old library name
- provide %%name-devel
- versionize obsoletes
- do not provide old -devel name
- fix wrongly changed obsoletes of player subpkg
- fix typo in versioned requires of -devel

* Sun Jan 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.8-2mdv2008.1
+ Revision: 150946
- new license policy
- new devel library policy
- spec file clean
- correct libification

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 26 2007 Funda Wang <fundawang@mandriva.org> 1.2.8-1mdv2008.0
+ Revision: 55751
- New version

* Thu May 31 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.2.7-6mdv2008.0
+ Revision: 33460
- Rebuild with libslang2.

* Mon May 21 2007 Funda Wang <fundawang@mandriva.org> 1.2.7-5mdv2008.0
+ Revision: 29147
- Rebuild for new directfb


* Sat Feb 24 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.2.7-4mdv2007.0
+ Revision: 125375
- Rebuilt against libgii|libggi.

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - ouch, fix libmikmod patch
    - versioned provides for %%{name}-devel
    - link against smpeg, otherwise it won't pull in required dependency
      link against system libmikmod (P2, derived from debian, then fixed)
      fix timidity crash (P3, from SuSE)
      64 bit fixes (P4, from SuSE)
      endian fixes (P5, from SuSE)
    - Import SDL_mixer

* Sun Jun 25 2006 Gtz Waschk <waschk@mandriva.org> 1.2.7-1mdv2007.0
- fix installation
- bump deps
- update patch 1
- New release 1.2.7

* Tue May 16 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.6-4mdk
- rebuild for sparc

* Sat Jan 07 2006 Stefan van der Eijk <stefan@eijk.nu> 1.2.6-3mdk
- make rpmbuildupdate aware
- BuildRequires: libmikmod-devel

* Sat Oct 15 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.6-2mdk
- update, fix and reenable timidity patch (P1) (why was it disabled?)
- make the player require the library on release as there are fixes
  in the library for it to play midi
- %%mkrel
- drop gcc3.3 (P2) and 64 bit (P3) patches as they're no longer used
- drop copyright docs
- cosmetics

* Wed Mar 23 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.6-1mdk
- Release: 1.2.6.

* Sat Nov 13 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.5-5mdk
- rebuild

* Fri Jul 30 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.2.5-4mdk
- merged Gwenole 64-bit fixes from 1.2.5-3.1mdk (AMD64).

